package org.arefgard.container;

import java.util.List;

public class ComponentDef {
	private String name;
	private String ref;
	private List<ComponentPropertyDef> property;
	private String query;
	
	public ComponentDef(String name, String ref) {
		property = new java.util.ArrayList<ComponentPropertyDef>();
		this.name = name;
		this.ref = ref;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getRef() {
		return ref;
	}

	public void setRef(String ref) {
		this.ref = ref;
	}
	
	public String getQuery() {
		return query;
	}

	public void setQuery(String query) {
		this.query = query;
	}

	public void addPropertyDef(ComponentPropertyDef propertyDef) {
		this.property.add(propertyDef);
	}
	
	public int getPropertyLength() {
		return this.property.size();
	}
	
	public ComponentPropertyDef getPropertyDef(int i) {
		return this.property.get(i);
	}
	
}
